Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class ValueDefaultPropertyBundle

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.PublicObject
                  oracle.ifs.beans.TiePublicObject
                      oracle.ifs.beans.ApplicationObject
                          oracle.ifs.beans.TieApplicationObject
                              oracle.ifs.beans.PropertyBundle
                                  oracle.ifs.beans.TiePropertyBundle
                                      oracle.ifs.beans.ValueDefaultPropertyBundle

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TieValueDefaultPropertyBundle

    public class ValueDefaultPropertyBundle

extends TiePropertyBundle

A ValueDefaultPropertyBundle is a PropertyBundle containing a list of one or more values of a ValueDefault.

(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` This class name for this class.

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAG_CATEGORY_EXISTS, FLAG_CONFIGURATIONCATEGORY_EXISTS, FLAG_MARKED, FLAG_NOINFERIOR, FLAG_NOSELECT, FLAG_NTFS_ARCHIVE, FLAG_NTFS_HIDDEN, FLAG_NTFS_READONLY, FLAG_NTFS_SYSTEM, FLAG_UNMARKED, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKENTRIES_ATTRIBUTE, LOCKOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PRIMARYPARENTFOLDER_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `ValueDefaultPropertyBundle(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Internal use only: Constructs a ValueDefaultPropertyBundle.

Method Summary
`protected static ValueDefaultPropertyBundle` | `constructValueDefaultPropertyBundle(LibrarySession session, S_LibraryObjectData data)` Internal use only: Constructs a ValueDefaultPropertyBundle for the specified data.
`AttributeValue` | `getPropertyValue()` Gets the value of this ValueDefaultPropertyBundle, as an AttributeValue.
`void` | `setValue(AttributeValue av)` Sets the value and data type of this ValueDefaultPropertyBundle.
`void` | `setValue(boolean value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(java.lang.Boolean value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(boolean[] value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(java.lang.Boolean[] value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(java.util.Date value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(java.util.Date[] value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(DirectoryObject value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(DirectoryObject[] value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(double value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(java.lang.Double value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(double[] value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(java.lang.Double[] value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(int value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(int[] value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(java.lang.Integer value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(java.lang.Integer[] value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(long value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(java.lang.Long value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(long[] value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(java.lang.Long[] value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(PublicObject value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(PublicObject[] value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(SchemaObject value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(SchemaObject[] value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(java.lang.String value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(java.lang.String[] value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(SystemObject value)` Sets the value of this ValueDefaultPropertyBundle.
`void` | `setValue(SystemObject[] value)` Sets the value of this ValueDefaultPropertyBundle.

Methods inherited from class oracle.ifs.beans.PropertyBundle
`applyProperties, constructEquivalentParameterTable, constructEquivalentParameterTable, constructEquivalentParameterTable, constructPropertyBundle, constructPropertyBundleVector, getProperties, getProperties, getProperty, getPropertyByUpperCaseName, getPropertyValue, getPropertyValueByUpperCaseName, getPropertyValues, putPropertyValue, putPropertyValue, removeAllPropertyValues, removePropertyValue, resetProperties, vectorPropertyBundleElement, vectorToPropertyBundleArray`

Methods inherited from class oracle.ifs.beans.ApplicationObject
`constructApplicationObject, constructApplicationObjectVector`

Methods inherited from class oracle.ifs.beans.PublicObject
`addAccess, addCategory, addFlags, addRelationship, auditPublicObjectLocked, auditPublicObjectUnlocked, canAcquireManualLock, canReleaseDavLock, canReleaseLock, canReleaseManualLock, capabilities, checkAuditViewCapability, checkCapabilities, checkCapability, checkEffectiveAccess, checkEffectiveAccess, checkLockAccess, checkVersioned, clearFlags, constructPublicObject, constructPublicObjectArray, constructPublicObjectVector, copy, coreAutoFolderingEnabled, createCategories, createDedicatedPolicyPropertyBundle, delete, deriveEffectiveAccessLevel, free, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getCapabilities, getCategories, getCategories, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getCreateDate, getCreator, getDefaultAccessLevel, getDeletor, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFirstVersion, getFlags, getFolderReferences, getFolderReferences, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLastVersion, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinks, getLockEntries, getLockEntries, getLockObject, getLockRestrictions, getLockTypeAuditProperties, getNextVersion, getOwner, getPolicyBundle, getPolicyLists, getPreviousVersion, getPrimaryFolderPath, getPrimaryParentFolder, getPrimaryParentFolder, getReservationComment, getReservationDate, getReservor, getResolvedPublicObject, getRestrictingLockEntries, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, getSingletonVersionDescription, getVersionNumber, getVersions, getVersionSeries, getWorkingCopy, grantAccess, handleCopy, handleCreate, handleUnlockAll, hasCategories, hasConfigurationCategories, hasNameAttribute, isDeleted, isLatestVersion, isLocked, isLockingSupported, isOwner, isReserved, isReservedByCurrentUser, isVersionable, isVersioned, isWorkingCopy, listLeftwardRelationships, listRightwardRelationships, lock, lock, lock, lock, newVersion, postCopy, postCreate, postUpdate, preCopy, preCreate, preFree, preUpdate, putPolicy, reassociateLinks, removeAllPolicies, removePolicy, removePolicy, removeRelationship, reserveNext, resetFolderReferences, resolveFolderReferenceSortSpecification, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setLockEntries, setLockEntrySecurity, setOwner, setOwnerByName, setPolicyBundle, setPolicyLists, setSecuringPublicObject, toPublicObjectArray, undelete, unlock, unlock, unlockAll, unReserve, updateFlags, updateLock, vectorPublicObjectElement, vectorToPublicObjectArray, verifyDeleteCapability, verifyLockCapability, verifyUnlockCapability, verifyVersionSeries`

Methods inherited from class oracle.ifs.beans.LibraryObject
`auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `ValueDefaultPropertyBundle`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### ValueDefaultPropertyBundle

    protected ValueDefaultPropertyBundle(LibrarySession session,
                                         java.lang.Long id,
                                         java.lang.Long classId,
                                         S_LibraryObjectData data)
                                  throws IfsException

  Internal use only: Constructs a ValueDefaultPropertyBundle.

  For internal use only. Do not use this method. To create a ValueDefaultPropertyBundle, invoke `LibrarySession.createPublicObject`.

  Parameters:
    `session` - the session
    `id` - the id
    `classId` - the class id
    `data` - the data
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### setValue

    public final void setValue(int value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have an `INTEGER` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(java.lang.Integer value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have an `INTEGER` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(long value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `LONG` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(java.lang.Long value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `LONG` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(double value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `DOUBLE` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(java.lang.Double value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `DOUBLE` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(boolean value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `BOOLEAN` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(java.lang.Boolean value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `BOOLEAN` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(java.lang.String value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `STRING` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(java.util.Date value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `DATE` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(SchemaObject value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `SCHEMAOBJECT` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(SystemObject value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `SYSTEMOBJECT` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(PublicObject value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `PUBLICOBJECT` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(DirectoryObject value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `DIRECTORYOBJECT` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(int[] value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `INTEGER_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(java.lang.Integer[] value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have an `INTEGER_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(long[] value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have an `LONG_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(java.lang.Long[] value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `LONG_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(double[] value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `DOUBLE_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(java.lang.Double[] value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `DOUBLE_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(boolean[] value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `BOOLEAN_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(java.lang.Boolean[] value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `BOOLEAN_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(java.lang.String[] value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `STRING_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(java.util.Date[] value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `DATE_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(SchemaObject[] value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `SCHEMAOBJECT_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(SystemObject[] value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `SYSTEMOBJECT_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(PublicObject[] value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `PUBLICOBJECT_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(DirectoryObject[] value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Sets the value of this ValueDefaultPropertyBundle.

  This ValueDefaultPropertyBundle will have a `DIRECTORYOBJECT_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getPropertyValue

    public AttributeValue getPropertyValue()
                                    throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Gets the value of this ValueDefaultPropertyBundle, as an AttributeValue.

  Returns:
    the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public void setValue(AttributeValue av)
                  throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Sets the value and data type of this ValueDefaultPropertyBundle.

  Parameters:
    `av` - the new value; implies the data type
  Throws:
    `IfsException` - if the operation fails
  (Published)

### constructValueDefaultPropertyBundle

    protected static ValueDefaultPropertyBundle constructValueDefaultPropertyBundle(LibrarySession session,
                                                                                    S_LibraryObjectData data)
                                                                             throws IfsException

  Description copied from class: `ValueDefaultPropertyBundle`
  Internal use only: Constructs a ValueDefaultPropertyBundle for the specified data.

  For internal use only. Do not use this method.

  Parameters:
    `session` - the session
    `data` - the data
  Returns:
    the ValueDefaultPropertyBundle
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD